This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 85440 - up2date -u prints from dbcursor->c_get: DB_PAGE_NOTFOUND
up2date -u prints from dbcursor->c_get: DB_PAGE_NOTFOUND
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-02 15:24 EST by Blair Zajac
Modified: 2007-04-18 12:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-17 22:21:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Blair Zajac 2003-03-02 15:24:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.8 [en] (Windows NT 5.0; U)

Description of problem:
I manually updated my 8.0 system to 8.0.94 by
running

    up2date -u -d

and then updating subsets of the RPMs that need
to be updated by doing

    up2date -u rpm1 rpm2 rpm3 ...

After installing the new glibc, rpm*, up2date* and
other required rpms to run, anytime I run up2date -u
I get the following error

error: db4 error(-30989) from dbcursor->c_get: 
DB_PAGE_NOTFOUND: Requested page
not found
error: db4 error(-30989) from dbcursor->c_get: 
DB_PAGE_NOTFOUND: Requested page
not found

Here's a sample run

up2date -u XFree86 XFree86-100dpi-fonts 
XFree86-75dpi-fonts XFree86-ISO8859-15-100dpi-fonts 
XFree86-ISO8859-15-75dpi-fonts XFree86-Mesa-libGL 
XFree86-Mesa-libGLU XFree86-base-fonts 
XFree86-devel XFree86-font-utils XFree86-libs 
XFree86-tools XFree86-truetype-fonts XFree86-twm 
XFree86-xauth XFree86-xdm XFree86-xfs 
fontconfig-devel ttmkfdir XFree86-libs-data libgnomeui 
libgnome libbonobo pango gnome-vfs2 libbonoboui 
gnome-mime-data gtk2
....

Fetching package list for channel: 
redhat-linux-beta-i386-phoebe-8.0.94...
########################################

Fetching Obsoletes list for channel: 
redhat-linux-beta-i386-phoebe-8.0.94...
########################################

Fetching rpm headers...
########################################

Testing package set / solving RPM inter-dependencies...
########################################
......
XFree86-4.2.99.901-20030213 
  28:ttmkfdir               
########################################### 
[100%]
error: db4 error(-30989) from dbcursor->c_get: 
DB_PAGE_NOTFOUND: Requested page not found
error: db4 error(-30989) from dbcursor->c_get: 
DB_PAGE_NOTFOUND: Requested page not found



the new rpm RPMs and the
other required RPMs for rpm to run, I ran

up2date -u


Version-Release number of selected component (if 
applicable):


How reproducible:
Always

Steps to Reproduce:
1. Don't exactly know.  Several things to try.  One
would be to take an 8.0 system and upgrade it
manually.
2. Another may be to take an 8.0.94 system, remove one 
rpm and then try up2date -u rpm to
reinstall it.    

Actual Results:  up2date returning

error: db4 error(-30989) from dbcursor->c_get: 
DB_PAGE_NOTFOUND: Requested page not found
error: db4 error(-30989) from dbcursor->c_get: 
DB_PAGE_NOTFOUND: Requested page not found

Additionally, now trying to do an rpm --rebuild always
generates these errors:

error: db4 error(16) from dbenv->remove: Device or 
resource busy


Expected Results:  No error messages.

Additional info:
Comment 1 Blair Zajac 2003-03-02 15:51:30 EST
I've put up two tar.bz2 of the
/var/lib/rpm directory from two 
different systems that exhibit the
same behavior.  The URLs are

http://forsale.orcaware.com/var_lib_rpm
-sys1.tar.bz2

http://forsale.orcaware.com/var_lib_rpm
-sys2.tar.bz2
Comment 2 Adrian Likins 2004-08-20 16:12:07 EDT
belive this is fixed in current versions of rpm, but reassigning there
just to be sure
Comment 3 Jeff Johnson 2005-01-17 22:21:05 EST
The fix is to run an NPTL environment with rpm built for NPTL.

Note You need to log in before you can comment on or make changes to this bug.